<div class="container">
  <form (ngSubmit)="verificar()" #forma="ngForm">
    <div class="box">
      <label for="femail" class="lbl"><b>Email: </b></label>
        <input
        type="text"
        placeholder="Escribir Correo Electronico..."
        class="txtbox"
        name="correo"
        [(ngModel)]="persona.correo"
        #correo="ngModel"
        [class.is-invalid]="correo.invalid && correo.touched"
        pattern="^(([^<>()\[\]\.,;:\s@\”]+(\.[^<>()\[\]\.,;:\s@\”]+)*)|(\”.+\”))@(([^<>()[\]\.,;:\s@\”]+\.)+[^<>()[\]\.,;:\s@\”]{2,})$"
        minlength="12"
        >

        <button type="submit" class="btn" (click)="vClick=!vClick">Verificar</button>
        <label class="text-danger" *ngIf="!vClick && correo.invalid && correo.touched">
          Ingrese un email valido
        </label>
        <label class="text-valid" *ngIf="!vClick && correo.valid && correo.touched">
          El correo es valido
        </label>
    </div>
  </form>
</div>